Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.property
Class Method

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Property
              net.fortuna.ical4j.model.property.Method

All Implemented Interfaces:
  Serializable

    public class Method

extends Property

Defines a METHOD iCalendar property.

Author:
  benf
See Also:
  Serialized Form

Field Summary
`static Method` | `ADD` Add one or more instances to an existing VEVENT, VTODO, or VJOURNAL.
`static Method` | `CANCEL` Cancel one or more instances of an existing VEVENT, VTODO, or VJOURNAL.
`static Method` | `COUNTER` The Counter method is used by an "Attendee" to negotiate a change in the calendar entry.
`static Method` | `DECLINE_COUNTER` Used by the "Organizer" to decline the proposed counter-proprosal.
`static Method` | `PUBLISH` Used to publish a calendar entry to one or more Calendar Users.
`static Method` | `REFRESH` The Refresh method is used by an "Attendee" to request the latest version of a calendar entry.
`static Method` | `REPLY` A Reply is used in response to a Request to convey "Attendee" status to the "Organizer".
`static Method` | `REQUEST` Used to schedule a calendar entry with other Calendar Users.

Fields inherited from class net.fortuna.ical4j.model.Property
`ACTION, ATTACH, ATTENDEE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, FREEBUSY, GEO, LAST_MODIFIED, LOCATION, METHOD, ORGANIZER, PERCENT_COMPLETE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, SUMMARY, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

Constructor Summary
`Method()` Default constructor.
`Method(ParameterList aList, String aValue)`
`Method(String aValue)`

Method Summary
`String` | `getValue()`
`void` | `setValue(String aValue)` Sets the current value of the property.
`void` | `validate()` Perform validation on a property.

Methods inherited from class net.fortuna.ical4j.model.Property
`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, isComponentProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PUBLISH

    public static final Method PUBLISH

  Used to publish a calendar entry to one or more Calendar Users. There is no interactivity between the publisher and any other calendar user. An example might include a baseball team publishing its schedule to the public. [RFC 2446]

### REQUEST

    public static final Method REQUEST

  Used to schedule a calendar entry with other Calendar Users. Requests are interactive in that they require the receiver to respond using the Reply methods. Meeting Requests, Busy Time requests and the assignment of VTODOs to other Calendar Users are all examples. Requests are also used by the "Organizer" to update the status of a calendar entry. [RFC 2446]

### REPLY

    public static final Method REPLY

  A Reply is used in response to a Request to convey "Attendee" status to the "Organizer". Replies are commonly used to respond to meeting and task requests. [RFC2446]

### ADD

    public static final Method ADD

  Add one or more instances to an existing VEVENT, VTODO, or VJOURNAL. [RFC 2446]

### CANCEL

    public static final Method CANCEL

  Cancel one or more instances of an existing VEVENT, VTODO, or VJOURNAL. [RFC 2446]

### REFRESH

    public static final Method REFRESH

  The Refresh method is used by an "Attendee" to request the latest version of a calendar entry. [RFC 2446]

### COUNTER

    public static final Method COUNTER

  The Counter method is used by an "Attendee" to negotiate a change in the calendar entry. Examples include the request to change a proposed Event time or change the due date for a VTODO. [RFC 2446]

### DECLINE_COUNTER

    public static final Method DECLINE_COUNTER

  Used by the "Organizer" to decline the proposed counter-proprosal. [RFC 2446]

Constructor Detail

### Method

    public Method()

  Default constructor.

### Method

    public Method(String aValue)

Parameters:
  `aValue` - a value string for this component

### Method

    public Method(ParameterList aList,
                  String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

Method Detail

### setValue

    public void setValue(String aValue)

  Description copied from class: `Property`
  Sets the current value of the property.

  Specified by:
    `setValue` in class `Property`
  Parameters:
    `aValue` - a string representation of the property value

### getValue

    public final String getValue()

  Specified by:
    `getValue` in class `Property`
  Returns:
    Returns the value.

### validate

    public final void validate()
                        throws ValidationException

  Description copied from class: `Property`
  Perform validation on a property.

  Specified by:
    `validate` in class `Property`
  Throws:
    `ValidationException` - where the property is not in a valid state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.